attribute highp vec4 a_position;
attribute highp vec2 a_texCoord;
attribute lowp vec4 a_color;

uniform highp mat4 u_MVMatrix;
uniform highp mat4 u_PMatrix;

varying lowp vec4 v_fragmentColor;
varying highp vec2 v_texCoord;

void main()
{
	gl_Position = u_PMatrix * u_MVMatrix * a_position;
	v_fragmentColor = a_color;
	v_texCoord = a_texCoord;
}
