var Scoreloop
var status
var list

func populate_leaderboard(event):
	print("*** scores list ", event.ranks.size())
	list.clear()
	list.create_item(null)
	for i in range(0, event.ids.size()):
		var item = list.create_item(list.get_root())
		item.set_text(0, event.ranks[i])
		item.set_text(1, event.users[i])
		item.set_text(2, event.scores[i])

func check_events():
	while Scoreloop.get_pending_event_count() > 0:
		var event = Scoreloop.pop_pending_event()
		if event.result != "ok":
			status.set_text("Error. Please try again later.")
		elif event.type == "leaderboard":
			populate_leaderboard(event)

func back_pressed():
	queue_free()

func _ready():

	list = get_node("list")
	list.set_hide_root(true)
	list.set_columns(3)
	list.set_select_mode(Tree.SELECT_SINGLE)

	status = get_node("status")
	get_node("back").connect("pressed", self, "back_pressed")

	if !Globals.has_singleton("Scoreloop"):
		return

	Scoreloop = Globals.get_singleton("Scoreloop")

	var timer = get_node("timer");
	timer.set_wait_time(1)
	timer.set_one_shot(false)
	timer.connect("timeout", self, "check_events")

	var boards = Globals.get("scoreloop/boards").split(",")
	var mode
	var count = 0
	for b in boards:
		if b == "level99":
			mode = count
		count += 1
	Scoreloop.load_leaderboard( { "mode": mode } )
