varying lowp vec2 v_texCoord;
uniform sampler2D u_texture;

void main()
{
	highp vec4 c = texture2D(u_texture, v_texCoord);
	highp float cutoff = 0.2;
	highp float multiple = 2.0;
	
	gl_FragColor = vec4(clamp(((c.rgb - cutoff) / (1.0 - cutoff)), 0.0, 1.0) * multiple, 1);
}
